import axios from 'axios';

import { StatusCodes } from 'http-status-codes';

const sendEmail = async (data, headers = {}) => {
    try {
        // @ TODO: function will be modificate after testing it in dev (with status code library). 
        axios.interceptors.response.use(response => {
            if (response.code !== StatusCodes.OK || response.code !== StatusCodes.NO_CONTENT) {
                return response;
            } else { throw response.message; }
        }, error => {
            throw error;
        });

        await axios.post(`${process.env.REACT_APP_EMAIL_SERVICE_API}/message`, data, Object.keys(headers).length > 0 && { headers });

    } catch (error) {
        throw error;
    }
};

export const EmailService = {
    sendEmail
};
